curl --request POST \
--url https://app.zenedu.io/api/v1/bot/{bot}/broadcasts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"text": "<string>",
"link_preview": true,
"settings": {
"attach_file": true,
"has_spoiler": true,
"autodelete": 123,
"protect_content": true
},
"filters": {},
"telegram_file_ids": [
123
]
}
'import requests
url = "https://app.zenedu.io/api/v1/bot/{bot}/broadcasts"
payload = {
"name": "<string>",
"text": "<string>",
"link_preview": True,
"settings": {
"attach_file": True,
"has_spoiler": True,
"autodelete": 123,
"protect_content": True
},
"filters": {},
"telegram_file_ids": [123]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
text: '<string>',
link_preview: true,
settings: {attach_file: true, has_spoiler: true, autodelete: 123, protect_content: true},
filters: {},
telegram_file_ids: [123]
})
};
fetch('https://app.zenedu.io/api/v1/bot/{bot}/broadcasts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.zenedu.io/api/v1/bot/{bot}/broadcasts",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'text' => '<string>',
'link_preview' => true,
'settings' => [
'attach_file' => true,
'has_spoiler' => true,
'autodelete' => 123,
'protect_content' => true
],
'filters' => [
],
'telegram_file_ids' => [
123
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.zenedu.io/api/v1/bot/{bot}/broadcasts"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"text\": \"<string>\",\n \"link_preview\": true,\n \"settings\": {\n \"attach_file\": true,\n \"has_spoiler\": true,\n \"autodelete\": 123,\n \"protect_content\": true\n },\n \"filters\": {},\n \"telegram_file_ids\": [\n 123\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://app.zenedu.io/api/v1/bot/{bot}/broadcasts")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"text\": \"<string>\",\n \"link_preview\": true,\n \"settings\": {\n \"attach_file\": true,\n \"has_spoiler\": true,\n \"autodelete\": 123,\n \"protect_content\": true\n },\n \"filters\": {},\n \"telegram_file_ids\": [\n 123\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.zenedu.io/api/v1/bot/{bot}/broadcasts")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"text\": \"<string>\",\n \"link_preview\": true,\n \"settings\": {\n \"attach_file\": true,\n \"has_spoiler\": true,\n \"autodelete\": 123,\n \"protect_content\": true\n },\n \"filters\": {},\n \"telegram_file_ids\": [\n 123\n ]\n}"
response = http.request(request)
puts response.read_body{
"data": {
"id": 123,
"name": "<string>",
"text": "<string>",
"status": "<string>",
"scheduled_at": "2023-11-07T05:31:56Z",
"link_preview": true,
"settings": {
"attach_file": true,
"has_spoiler": true,
"attach_style": "<string>",
"autodelete": 123,
"protect_content": true
},
"filters": {},
"recipients_count": 123,
"sent_by_user_id": 123,
"subscribers_count": 123,
"clicks_count": 123,
"attachments": [
{
"id": 123,
"type": "<string>",
"name": "<string>"
}
],
"buttons": [
{
"id": 123,
"type": "<string>",
"name": "<string>",
"link": "<string>",
"offer_id": 123,
"actions": [
{}
],
"settings": {},
"sort": 123
}
],
"created_at": "2023-11-07T05:31:56Z"
}
}{
"message": "<string>",
"errors": {}
}{
"message": "<string>",
"errors": {}
}{
"message": "<string>",
"errors": {}
}Create broadcast
Creates a broadcast.
curl --request POST \
--url https://app.zenedu.io/api/v1/bot/{bot}/broadcasts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"text": "<string>",
"link_preview": true,
"settings": {
"attach_file": true,
"has_spoiler": true,
"autodelete": 123,
"protect_content": true
},
"filters": {},
"telegram_file_ids": [
123
]
}
'import requests
url = "https://app.zenedu.io/api/v1/bot/{bot}/broadcasts"
payload = {
"name": "<string>",
"text": "<string>",
"link_preview": True,
"settings": {
"attach_file": True,
"has_spoiler": True,
"autodelete": 123,
"protect_content": True
},
"filters": {},
"telegram_file_ids": [123]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
text: '<string>',
link_preview: true,
settings: {attach_file: true, has_spoiler: true, autodelete: 123, protect_content: true},
filters: {},
telegram_file_ids: [123]
})
};
fetch('https://app.zenedu.io/api/v1/bot/{bot}/broadcasts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.zenedu.io/api/v1/bot/{bot}/broadcasts",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'text' => '<string>',
'link_preview' => true,
'settings' => [
'attach_file' => true,
'has_spoiler' => true,
'autodelete' => 123,
'protect_content' => true
],
'filters' => [
],
'telegram_file_ids' => [
123
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.zenedu.io/api/v1/bot/{bot}/broadcasts"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"text\": \"<string>\",\n \"link_preview\": true,\n \"settings\": {\n \"attach_file\": true,\n \"has_spoiler\": true,\n \"autodelete\": 123,\n \"protect_content\": true\n },\n \"filters\": {},\n \"telegram_file_ids\": [\n 123\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://app.zenedu.io/api/v1/bot/{bot}/broadcasts")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"text\": \"<string>\",\n \"link_preview\": true,\n \"settings\": {\n \"attach_file\": true,\n \"has_spoiler\": true,\n \"autodelete\": 123,\n \"protect_content\": true\n },\n \"filters\": {},\n \"telegram_file_ids\": [\n 123\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.zenedu.io/api/v1/bot/{bot}/broadcasts")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"text\": \"<string>\",\n \"link_preview\": true,\n \"settings\": {\n \"attach_file\": true,\n \"has_spoiler\": true,\n \"autodelete\": 123,\n \"protect_content\": true\n },\n \"filters\": {},\n \"telegram_file_ids\": [\n 123\n ]\n}"
response = http.request(request)
puts response.read_body{
"data": {
"id": 123,
"name": "<string>",
"text": "<string>",
"status": "<string>",
"scheduled_at": "2023-11-07T05:31:56Z",
"link_preview": true,
"settings": {
"attach_file": true,
"has_spoiler": true,
"attach_style": "<string>",
"autodelete": 123,
"protect_content": true
},
"filters": {},
"recipients_count": 123,
"sent_by_user_id": 123,
"subscribers_count": 123,
"clicks_count": 123,
"attachments": [
{
"id": 123,
"type": "<string>",
"name": "<string>"
}
],
"buttons": [
{
"id": 123,
"type": "<string>",
"name": "<string>",
"link": "<string>",
"offer_id": 123,
"actions": [
{}
],
"settings": {},
"sort": 123
}
],
"created_at": "2023-11-07T05:31:56Z"
}
}{
"message": "<string>",
"errors": {}
}{
"message": "<string>",
"errors": {}
}{
"message": "<string>",
"errors": {}
}Authorizations
API token from the Zenedu dashboard
Path Parameters
Bot ID
Body
Broadcast name
255Message text
Whether to show link previews
Message display settings
Show child attributes
Show child attributes
Recipient filters (same shape as subscriber filters)
IDs of files registered via POST /api/v1/bot/{bot}/telegram-files to attach to this broadcast (photos, videos, documents, etc.). The given set replaces the current attachments entirely. Only files you uploaded that are not yet attached to anything are accepted — an already-attached, non-existent, or another user's id returns 422 (telegram_file_ids: Not found). Omit the field or send an empty array to leave attachments unchanged; null is rejected with 422. To remove an attachment, use DELETE …/broadcasts/{broadcast}/attachments/{file}.
Response
Broadcast created
Show child attributes
Show child attributes